/*********************************************************************************/
/********** THIS FILE IS GENERATED BY TOUCHGFX DESIGNER, DO NOT MODIFY ***********/
/*********************************************************************************/
#include <gui_generated/easingequation_screen/EasingEquationViewBase.hpp>
#include "BitmapDatabase.hpp"
#include <texts/TextKeysAndLanguages.hpp>
#include <touchgfx/Color.hpp>

EasingEquationViewBase::EasingEquationViewBase() :
    buttonCallback(this, &EasingEquationViewBase::buttonCallbackHandler)
{
    background.setXY(0, 0);
    background.setBitmap(Bitmap(BITMAP_EASING_BACKGROUND_ID));

    gotoMenuButton.setXY(420, 0);
    gotoMenuButton.setBitmaps(Bitmap(BITMAP_EASING_MENU_BUTTON_ID), Bitmap(BITMAP_EASING_MENU_BUTTON_PRESSED_ID));
    gotoMenuButton.setAction(buttonCallback);

    mcuLoad.setXY(232, 10);

    easingEquationName.setPosition(212, 30, 136, 24);
    easingEquationName.setColor(touchgfx::Color::getColorFrom24BitRGB(65, 93, 98));
    easingEquationName.setLinespacing(0);
    easingEquationName.setTypedText(TypedText(T_EASING_EQUATION_SINUSOIDAL));

    dot.setXY(150, 197);
    dot.setBitmap(Bitmap(BITMAP_EASING_DOT_ID));

    graphDot.setXY(179, 160);
    graphDot.setVisible(false);
    graphDot.setBitmap(Bitmap(BITMAP_GRAPHDOT_ID));

    add(background);
    add(gotoMenuButton);
    add(mcuLoad);
    add(easingEquationName);
    add(dot);
    add(graphDot);
}

void EasingEquationViewBase::setupScreen()
{
    mcuLoad.initialize();
}

void EasingEquationViewBase::buttonCallbackHandler(const touchgfx::AbstractButton& src)
{
    if (&src == &gotoMenuButton)
    {
        //gotoMenuButtonClicked
        //When gotoMenuButton clicked change screen to MainMenu
        //Go to MainMenu with screen transition towards North
        application().gotoMainMenuScreenSlideTransitionNorth();
    }
}
